Package net.shibboleth.shared.primitive

# Class LoggerFactory

java.lang.Object
net.shibboleth.shared.primitive.LoggerFactory

public final class LoggerFactory extends Object
Non-null wrappers for SLF4J logger acquisition.

Since:
  9.0.0

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`LoggerFactory()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static org.slf4j.Logger`
`getLogger(Class<?> claz)`
Get class-based logger.
`static org.slf4j.Logger`
`getLogger(String category)`
Get class-based logger.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoggerFactory

private LoggerFactory()
Constructor.

## Method Details

### getLogger

@Nonnull public static org.slf4j.Logger getLogger(@Nonnull Class<?> claz)
Get class-based logger.

Parameters:
  `claz` - class for logger
Returns:
  the logger instance

### getLogger

@Nonnull public static org.slf4j.Logger getLogger(@Nonnull @NotEmpty String category)
Get class-based logger.

Parameters:
  `category` - name for logger
Returns:
  the logger instance